#!/usr/bin/make -f
FC=mpifrtpx 
FORT90CPX=-Kvisimpact,ocl,ilfunc,array_private,auto
# -- For normal run 
OPT= -X9 -Fwide -Kopenmp -Kfast -Cpp -Koptmsg=2 -Qt -Ksimd=1 #-Knofp_relaxed

# -- For syntactical check
#OPT= -X9 -O0 -Fwide -Kopenmp -Cpp -Qt -Ksimd=1

# -- For debug
#OPT=-Hues -X9 -Fwide -Kopenmp -Am -Kfast -Cpp -Koptmsg=2 -Qt -Ksimd=1
.PHONY: run clean
	
.SUFFIXES: .f90

.f.o:
	$(FC) $(OPT) -c $<
.f90.o:
	$(FC) $(OPT) -c $<

all: LiSDAS-2-7-mpi.exe speed-test.exe 

OBJS = diff.o main.o LiSDAS-2-7-mpi.o
LiSDAS-2-7-mpi.exe: $(OBJS)
	$(FC) $(OPT) $(OBJS) -o $@
diff.o: diff.f90
LiSDAS-2-7-mpi.o: LiSDAS-2-7-mpi.f
	$(FC) $(OPT) -c $< -o $@

OBJS2 = diff.o LiSDAS-2-7-mpi.o speed-test.o
speed-test.exe: $(OBJS2)
	$(FC) $(OPT) $(OBJS2) -o $@

clean:
	rm *.o *.exe *.log *.mod *.emdl m2*

run:
	(export OMP_NUM_THREADS=8; mpiexec -n 1 ./LiSDAS-2-7-mpi.exe)
#

