# 
# Plot simulation trajectory for the estimated parameters 
#
 
 ## Directory
# dirs <- "C:/LiSDAS/LiSDAS_develope/"
 dirs <- "./"

 ## Read observe time course data
 y <- read.delim( paste( dirs, "circadian02.dat", sep = "" ), 
			header = FALSE, skip = 29, nrows = 7 )
 nameY <- y[,2]
 numberY <- as.numeric( y[,3] )
 y <- as.matrix( y[,4:ncol(y)] )
 y <- matrix( as.numeric(y), ncol = ncol(y), nrow = nrow(y) )

 ## Read observed time points
 timesY <- read.delim( paste( dirs, "circadian02.dat", sep = "" ), 
			header = FALSE, skip = 14, nrows = 12 )
 timesY <- as.vector( timesY[,2] )

 ## Read observed variable
 variY <- read.delim( paste( dirs, "circadian02.dat", sep = "" ), 
			header = FALSE, skip = 4, nrows = 7 )
 variY <- variY[,2:3]

 ## Read simulation results
 x <- as.matrix( read.delim( paste( dirs, "simulation_map.log", sep = "" ), header = FALSE ) )
 x0 <- as.matrix( read.delim( paste( dirs, "simulation_initial.log", sep = "" ), header = FALSE ) )
 timesX <- x[2:nrow(x),1]
 variX <- x[1,-1]
 x <- x[-1,]; x <- x[,-1]
 x0 <- x0[-1,]; x0 <- x0[,-1]
 x <- matrix( as.numeric(x), nrow = nrow(x), ncol = ncol(x) )
 x0 <- matrix( as.numeric(x0), nrow = nrow(x0), ncol = ncol(x0) )

 ## Make the plot
 x11( 15, 8 )
 par( mfrow = c(4,5) )
 par( plt = c(0.2, 0.9, 0.3, 0.8) )
 for( i in 1:ncol(x) ){
	observed <- which( variY[,2]==i )
	if( length(observed) > 0 ){
		rg <- range( c(y[observed, ], x0[,i]) )
	}else{
		rg <- range( c(x[,i],x0[,i]) )
	} 
	plot( timesX, x0[,i], type = "l", col = "darkgray", lwd = 2, 
		xlab = "", ylab = "", ylim = rg, cex.axis = 1.5 )
    par(new=T)
	plot( timesX, x[,i], type = "l", col = "darkblue", lwd = 2, 
		xlab = "", ylab = "", ylim = rg, cex.axis = 1.5 )
	title( main = variX[i], cex.main = 2 )
	if( length(observed) > 0 ){
		points( timesY, y[observed,], cex = 1, col = "red", type = "p", lwd = 2 )
	}
	grid( 4, 4, lwd = 1 )
 }
  
